--- title: "getCloudMssqlTargetVpcList" slug: "database-vmssql-getcloudmssqltargetvpclist" updated: 2026-09-17T10:05:51Z published: 2026-09-17T10:05:51Z canonical: "api.ncloud-docs.com/database-vmssql-getcloudmssqltargetvpclist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getCloudMssqlTargetVpcList Available in VPC Get the list of VPCs available to use in Cloud DB for MSSQL. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET \| POST | /vmssql/v2/getCloudMssqlTargetVpcList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Cloud DB for MSSQL (VPC) APIs, see [Cloud DB for MSSQL (VPC) request headers](/docs/en/database-vmssql#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameter You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code of the VPC to view - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist) - First Region of the `getRegionList` query result (default) | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The following is a sample request. ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmssql/v2/getCloudMssqlTargetVpcList ?regionCode=KR &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response body See [TargetVpcList](/docs/en/common-vapidatatype-targetvpclist) for the response body. ### Response status codes For information about the HTTP status codes common to all Cloud DB for MSSQL (VPC) APIs, see [Cloud DB for MSSQL (VPC) response status codes](/docs/en/database-vmssql#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. - If `responseFormatType=json` ``` { "getCloudMssqlTargetVpcListResponse": { "totalRows": 2, "targetVpcList": [ { "vpcNo": "69***", "vpcName": "vpc", "ipv4Cidr": "**.**.**.**/**", "regionCode": "KR", "createdDate": "2024-06-13T13:39:51+0900" }, { "vpcNo": "59***", "vpcName": "vpc", "ipv4Cidr": "**.**.**.**/**", "regionCode": "KR", "createdDate": "2024-03-28T13:40:23+0900" } ], "requestId": "d980314e-****-****-****-f4bffdb87394", "returnCode": "0", "returnMessage": "success" } } ``` - If `responseFormatType=xml` (default) ``` d980314e-****-****-****-f4bffdb87394 0 success 2 69*** vpc **.**.**.**/** KR 2024-06-13T13:39:51+0900 59*** vpc **.**.**.**/** KR 2024-03-28T13:40:23+0900 ```